function onBegin()
	if getFlag("firstoverhang") and not getFlag("secondoverhang") and not getFlag("dontplayagain1") then
		disableMovement()
		disableRetry()
		wait(1.0)
		walkTo(456)
		say("tirednwiredMPA24B")
		setFlag("dontplayagain1", true)
		setFlag("felloff", true)
	end
	if getFlag("firstoverhang") and getFlag("secondoverhang") and not getFlag("hasberry") and not getFlag("dontplayagain2") then
		disableMovement()
		disableRetry()
		wait(1.0)
		walkTo(464)
		walkTo(456)
		say("tirednwiredMPA24C")
		setFlag("dontplayagain2", true)
		setFlag("felloff", true)
	end
	if getFlag("firstoverhang") and getFlag("secondoverhang") and getFlag("hasberry") and not getFlag("dontplayagain3") then
		disableMovement()
		disableRetry()
		wait(1.0)
		walkTo(464)
		walkTo(456)
		say("tirednwiredMPA24D")
		walkTo(416)
		say("tirednwiredMPA24E")
		setFlag("collectnow", true)
		say("tirednwiredMPA24F")
		wait(1.5)
		if getFlag("felloff") then
			say("tirednwiredMPA24G")
		else
			say("tirednwiredMPA24H")
		end
		setFlag("dontplayagain3", true)
	end
	enableMovement()
	enableRetry()
end